Neptune Digital Assets Corp

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/neptune-digital-assets-corp/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/neptune-digital-assets-corp/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1750896000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://neptunedigitalassets.com/neptune-provides-bitcoin-treasury-corporate-update/",
    "holding_balance": 404.0,
    "holding_net_change": 3.0,
    "transaction_value_usd": 321019.62,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1759881600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://neptunedigitalassets.com/neptune-digital-assets-achieves-over-70-million-bitcoin-treasury-leveraging-mining-staking-and-derivatives/",
    "holding_balance": 410.0,
    "holding_net_change": 6.0,
    "transaction_value_usd": 739978.92,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1769731200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://neptunedigitalassets.com/closes-investment-xai-first-quarter-2026-financials/",
    "holding_balance": 417.0,
    "holding_net_change": 7.0,
    "transaction_value_usd": 588637.49,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/neptune-digital-assets-corp/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782691200000,
    417.0
  ],
  [
    1782777600000,
    417.0
  ],
  [
    1782864000000,
    417.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/neptune-digital-assets-corp/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782691200000,
    25080506.7
  ],
  [
    1782777600000,
    24413661.15
  ],
  [
    1782864000000,
    25005217.35
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/neptune-digital-assets-corp/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.383,
    "date": "2026-06-29",
    "high": 0.484,
    "open": 0.429,
    "close": 0.429,
    "volume": 169700
  },
  {
    "low": 0.417,
    "date": "2026-06-30",
    "high": 0.44,
    "open": 0.432,
    "close": 0.434,
    "volume": 109800
  },
  {
    "low": 0.4066,
    "date": "2026-07-01",
    "high": 0.437,
    "open": 0.4299,
    "close": 0.432,
    "volume": 37645
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/neptune-digital-assets-corp/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 3.546,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/neptune-digital-assets-corp/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -43.9,
  "six_month_return": -36.0,
  "three_month_return": -21.17
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/neptune-digital-assets-corp/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 44.8,
  "total_btc_percentage": 0.002,
  "share_price_change_state": "up"
}